saned(8)

NOM
saned — Démon réseau de SANE

SYNOPSIS
saned [ -a [ nom_utilisateur ] ] [ -u nom_utilisateur ] [ -b adresse ] [ -p port ] [ -l ] [ -D ] [ -o ] [ -d n ] [ -e ] [ -h ] [ -B taille_tampon ]

DESCRIPTION
saned est le démon de SANE (Scanner Access Now Easy) qui permet à des clients distants d'accéder à des périphériques d'acquisition d'images disponibles sur l'hôte local.

OPTIONS

saned accepte les options suivantes :

-a [nom-utilisateur], --alone[=nom_utilisateur]
    est équivalent à la combinaison des options -l -D -u nom_utilisateur. Cependant, nom_utilisateur est facultatif et l'utilisateur exécutant sera seulement défini quand il sera spécifié.

-u nom_utilisateur, --user=nom_utilisateur
    requiert que saned abandonne les privilèges du superutilisateur et soit exécuté en tant que l'utilisateur (et le groupe) associé au nom_utilisateur après la création de la liaison.

-b adresse, --bind=adresse
    dit à saned de s'associer à l'adresse donnée.

-p port, --port=port
    dit à saned d'être à l'écoute du port donné. Une valeur de 0 indique à saned de choisir un port inutilisé. Par défaut, c'est le port sane-port (6566).

-l, --listen
    requiert que saned s'exécute en mode démon autonome. Dans ce mode, saned sera à l'écoute des connexions entrantes du client ; dans ce mode, inetd(8) n'est pas obligatoire pour que saned fonctionne.

-D, --daemonize
    requiert que saned se détache de la console et s'exécute en tâche de fond.

-o, --once
    requiert que saned quitte après que le premier client se déconnecte. C'est utile pour le débogage.

-d n, --debug=n
    définit le niveau de la sortie de débogage de saned à n. Lors d'une compilation avec activation du débogage, ce drapeau peut être suivi d'un nombre pour requérir plus ou moins d'informations de débogage. Plus le nombre est élevé, plus la sortie de débogage est détaillée. Par exemple, -d128 va requérir la sortie de toutes les informations de débogage. Le niveau 0 ne produit aucune sortie. La valeur par défaut est 2.

-e, --stderr
    détournera la sortie de débogage de saned sur la sortie d'erreur plutôt que sur le journal syslog par défaut.

-B, --buffer-size=taille_tampon
    définit la taille du tampon de lecture utilisé pour la communication avec le dorsal en Ko. La valeur par défaut est 1 Mo.

-h, --help
    affiche un court message d'aide.

CONFIGURATION
Le fichier de configuration saned.conf contient à la fois les options pour le démon et la liste d'accès.

data_portrange = port_mini - port_maxi
    Spécifier la plage de ports à utiliser pour la connexion de données. Choisissez une plage de ports entre 1024 et 65535 ; ne choisissez pas une plage de ports trop étendue parce que cela peut créer des problèmes de performance. Utilisez cette option si votre serveur saned est installé derrière un pare-feu. Si ce pare-feu est une machine Linux, il est fortement recommandé d'utiliser plutôt le module nf_conntrack_sane de Netfilter.

data_connect_timeout = délai
    Spécifier la durée en milliseconde durant laquelle saned va attendre la connexion de données. Sans cette option, si la connexion de données n'est pas établie avant que le scanner n'atteigne la fin de la numérisation, le scanner continuera à numériser après la fin et cela peut provoquer des dégâts suivant le dorsal. Spécifier zéro pour garder l'ancien comportement. La valeur par défaut est 4000 ms.

La liste d'accès est une liste de noms d'hôte, d'adresses IP ou sous-réseaux IP (notation CIDR) autorisés à utiliser les périphériques SANE locaux. Les adresses IPv6 doivent être entourées de crochets et devraient toujours être spécifiées dans leur forme compressée. Les connexions à partir de localhost sont toujours autorisées. Les lignes vides et celles débutant par un croisillon (#) sont ignorées. Une ligne qui ne contient qu'un caractère « + » est interprétée comme correspondant à n'importe quel nom d'hôte. Cela permet à toute machine distante d'utiliser votre scanner et peut présenter un risque de sécurité, aussi cela ne devrait pas être utilisé à moins que vous ne sachiez ce que vous faites.

Voici un exemple de fichier de configuration :

    # Options du démon
    data_portrange = 10000 - 10100
    # Liste d'accès
    scan-client.un_domaine.entreprise
    # Ceci est un commentaire
    192.168.0.1
    192.168.2.12/29
    [::1]
    [2001:db8:185e::42:12]/64

Les noms d'hôtes sont insensibles à la casse, ainsi UnHost.COM est considéré comme identique à unhost.com.

FICHIERS

/etc/hosts.equiv
    Les hôtes listés dans ce fichier ont la permission d'accéder à tous les périphériques SANE locaux. Attention : ce fichier provoque de sérieux risques de sécurité et son usage n'est pas recommandé.

/etc/sane.d/saned.conf
    Contient la liste des hôtes autorisés à accéder à des périphériques SANE locaux (voir aussi la description de SANE_CONFIG_DIR plus loin).

/etc/sane.d/saned.users
    Si ce fichier contient des lignes de la forme utilisateur:mot_de_passe:dorsal l'accès aux dorsaux listés est restreint. Un dorsal même peut être listé plusieurs fois avec des combinaisons utilisateur/mot de passe différentes. Le serveur utilise le hachage MD5 s'il est pris en charge par le client.

ENVIRONNEMENT

SANE_CONFIG_DIR
    Cette variable d'environnement spécifie la liste des répertoires qui peuvent contenir le fichier de configuration. Sur les systèmes *NIX, les répertoires sont séparés par un caractère deux points (« : »), sous OS/2, ils sont séparés par un point-virgule (« ; »). Si cette variable n'est pas définie, le fichier de configuration est recherché dans deux répertoires par défaut : d'abord, le répertoire de travail actuel (« . »), puis dans /etc/sane.d. Si la valeur de la variable d'environnement se termine par le caractère séparateur de répertoire, les répertoires par défaut sont recherchés après les répertoires spécifiés explicitement. Par exemple, définir SANE_CONFIG_DIR à la valeur « /tmp/config: » provoquera l’exploration des répertoires tmp/config, . et /etc/sane.d (dans cet ordre).

NOTES
saned n'offre pas de confidentialité lors des communications avec les clients. Si saned est exposé directement sur le réseau, il y a un risque que les autres utilisateurs puissent intercepter les images numérisées ou apprendre les mots de passe de connexion à saned avec peu d'efforts. Les systèmes client devraient plutôt se connecter à saned à travers un tunnel sécurisé vers le serveur.

saned n'est pas un programme de confiance et ne doit pas être exécuté avec les privilèges du superutilisateur.

Consulter /usr/share/doc/sane/saned/saned.install.md pour des détails sur la configuration de saned comme un service.

VOIR AUSSI
sane(7), scanimage(1), xscanimage(1), xcam(1), sane-dll(5), sane-net(5), sane-"backendname"(5), inetd(8), xinetd(8), systemd(1)
http://www.penguin-breeder.org/?page=sane-net

AUTEUR
David Mosberger

TRADUCTION
La traduction française de cette page de manuel a été créée par Pierre Souchay <pierre.souchay@free.fr> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.